# Codeception Test Suite Configuration
#
# Suite for functional tests
# Emulate web requests and make WordPress process them

actor: FunctionalTester
modules:
    enabled:
      - \Helper\Functional
      - REST
      - WPDb
      - WPBrowser
      - Asserts
      - WPLoader
    config:
      WPBrowser:
        url: 'http://wp.localhost'
        adminUsername: 'admin'
        adminPassword: 'password'
        adminPath: '/wp-admin'
      REST:
        depends: WPBrowser
        url: 'http://wp.localhost'
      WPDb:
        dsn: 'mysql:host=127.0.0.1;dbname=wpgraphql_jwt_auth_serve'
        user: 'root'
        password: ''
        dump: 'tests/_data/dump.sql'
        populate: true
        cleanup: true
        url: 'http://wp.localhost'
        urlReplacement: true
        tablePrefix: 'wp_'
      WPLoader:
        loadOnly: true
        wpRootFolder: /tmp/wp-graphql-jwt-authentication
        dbName: wpgraphql_jwt_auth_serve
        dbHost: 127.0.0.1
        dbUser: root
        dbPassword: ''
        configFile: "tests/_data/config.php"
